# Service AUDIO

Service d'audio-conférence de l'association Libre en communs.

Responsable: Christian Momon (@cpm) 

Déployé sur la machine `audio` (voir la [documentation spécifique](https://git.a-lec.org/a-lec/commissions/infrastructure/doc-infra/-/blob/master/Machines%20virtuelles/audio.md)).

# Site web

Pour l'instant :
- le service Mumble n'a pas besoin de serveur web ;
- décision de ne pas installer une application de client web pour Mumble.

Cela n'empêchera pas les gens d'essayer d'aller sur la page web https://audio.a-lec.org/.

Donc une page d'information permet d'apporter une réponse à ce cas, par exemple en donnant des informations sur comment se connecter, comment configurer son client, où trouver un client…

Il s'agit d'une simle page XHTML faite à la main et placée dans `/var/www/audio.a-lec.org/`.

# Service Mumble

Service d'audio-conférence basé sur le logiciel libre Mumble : https://www.mumble.info/

## Installation

Ouvrir les ports nécessaires :
```
ufw allow 64738/udp
ufw allow 64738/tcp
```

Installer le paquet :
```
apt-get install mumble-server
```

Configurer, notamment le mot de passe de SuperUser :
```
dpkg-reconfigure mumble-server
```

Transmettre le mot de passe à l'équipe adminsys.

## Gestion du certificat

Utiliser le certificat SSL du site web `audio.a-lec.org` pour enrichir le fichier `/etc/mumble-server.ini` :
```
sslCert=/etc/letsencrypt/live/audio.a-lec.org/fullchain.pem
sslKey=/etc/letsencrypt/live/audio.a-lec.org/privkey.pem
```

Rendre les certificats lisibles par Mumble :
```
chgrp mumble-server /etc/letsencrypt/archive/audio.a-lec.org/privkey*
chmod g+r /etc/letsencrypt/archive/audio.a-lec.org/privkey*
```

À noter que cela suffit même en cas de regénération du certificat. En effet, Certbot a l'intelligence de propager le groupe et les permissions du groupe des certificats précédents ! C'est même indiqué dans la documentation officielle, https://eff-certbot.readthedocs.io/en/stable/using.html :
```
privkey.pem
    Private key for the certificate […]

    Note: As of Certbot version 0.29.0, private keys for new certificate
    default to 0600. Any changes to the group mode or group owner (gid)
    of this file will be preserved on renewals.
```

Redémarrer le service Mumble :
```
systemctl restart mumble-server
```

## Personnalisation

### Amélioration de la qualité

Dans le fichier `/etc/mumble-server.ini` :
```
bandwidth=100000
```

### Modifier le message d'accueil à la connexion
Dans le fichier `/etc/mumble-server.ini` :
```
welcometext="<br />Bienvenue sur le service d'audio-conférence de <b>Libre en communs</b>.<br />https://audio.a-lec.org/<br />"
```

Pour mettre une image dans le message de bienvenue :
- générer une image assez petite en format png ;
- la convertir en base64 : ` cat logo_a-lec.png | base64 -w 0 > t`
- insérer le contenu de `t` dans le code `<center><img src='data:image/png;base64,ICIIIIIIII' /><center>`

### Renommer la racine
Par défaut, la racine est nommée « Root ». Pour la renommer, éditer `/etc/mumble-server.ini` :
```                                                                           
registerName=Libre en communs
```

### Salons temporaires
Pour autoriser la création de salons temporaires :
- se connecter en tant que SuperUser
- racine > souris bouton droit > onglet `LCA` 
- cadre `LCAs Actifs`, sélectionner `@all` non italique
- cadre `Permissions` : cocher « Créer des temporaires »
- cliquer sur « OK ».

### Salons par défaut
Pour créer des salons par défaut, se connecter avec le compte `SuperUser` et faire clique-droit sur la racine puis `Ajouter`.
